aboutsummaryrefslogtreecommitdiffstatshomepage
diff options
context:
space:
mode:
authorJason A. Donenfeld <Jason@zx2c4.com>2012-09-03 02:40:49 +0200
committerJason A. Donenfeld <Jason@zx2c4.com>2012-09-03 02:40:49 +0200
commit564e87519bf366892bb33b1553f5fa00a57ed66f (patch)
tree80f7af43c90dee5410590117fd7eb087a51e5d0f
parentAdd remove synonyms. (diff)
downloadpassword-store-564e87519bf366892bb33b1553f5fa00a57ed66f.tar.xz
password-store-564e87519bf366892bb33b1553f5fa00a57ed66f.zip
Support pass git
-rw-r--r--README3
-rwxr-xr-xpassword-store.sh13
2 files changed, 15 insertions, 1 deletions
diff --git a/README b/README
index 0478bbf..7dc8a40 100644
--- a/README
+++ b/README
@@ -31,6 +31,9 @@ Usage:
If the password store is a git repository, push the latest changes.
pass pull
If the password store is a git repository, pull the latest changes.
+ pass git git-command-args...
+ If the password store is a git repository, execute a git command
+ specified by git-command-args.
pass help
Show this text.
diff --git a/password-store.sh b/password-store.sh
index 8d7f853..3ec5b37 100755
--- a/password-store.sh
+++ b/password-store.sh
@@ -34,13 +34,16 @@ Usage:
If the password store is a git repository, push the latest changes.
$program pull
If the password store is a git repository, pull the latest changes.
+ $program git git-command-args...
+ If the password store is a git repository, execute a git command
+ specified by git-command-args.
$program help
Show this text.
_EOF
}
isCommand() {
case "$1" in
- init|ls|show|insert|generate|remove|rm|delete|push|pull|help) return 0 ;;
+ init|ls|show|insert|generate|remove|rm|delete|push|pull|git|help) return 0 ;;
*) return 1 ;;
esac
}
@@ -223,6 +226,14 @@ case "$command" in
exit 1
fi
;;
+ git)
+ if [[ -d $GIT ]]; then
+ exec git $@
+ else
+ echo "Error: the password store is not a git repository."
+ exit 1
+ fi
+ ;;
*)
usage
exit 1